Skip to main content
POST
/
applications
/
promote
Promote application
curl --request POST \
  --url https://api.sevalla.com/v2/applications/promote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "target_app_ids": [
    "fb5e5168-4281-4bec-94c5-0d1584e9e657"
  ]
}
'
{
  "promote": [
    {
      "target_app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
      "deployment_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Body

application/json
source_app_id
string<uuid>
required

Source application ID to promote from

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

target_app_ids
string<uuid>[]
required

Target application IDs to promote to

Minimum array length: 1
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

promote
object[]
required